# Authentication

## Reporting API Keys <a href="#reporting-api-keys" id="reporting-api-keys"></a>

If you’ve generated [reporting API keys](https://ledger-enterprise-api-portal.redoc.ly/developer-portal/docs/get-started/generate_reporting_api_keys/) you can authenticate your requests to reporting and notifications endpoints on the base URL ​`​https://api.vault.ledger.com` using the below headers:

* Header parameter name: `X-Ledger-Workspace`
  * Set the header value to the name of your workspace
* Header parameter name: `X-Ledger-Reporting-API-Key`
  * Set the header value to the reporting API Key you wish to use

#### API Operators <a href="#api-operators" id="api-operators"></a>

If you’ve registered [API operators](https://ledger-enterprise-api-portal.redoc.ly/developer-portal/docs/get-started/LAM_overview/), you can authenticate the requests to all endpoints using the below headers:

**Ledger\_API\_User** (required)

* Username of a registered API User
* Header parameter name: `X-Ledger-API-User`

**Ledger\_API\_Key**

* If you've set up your API Key, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.
* Header parameter name: `X-Ledger-API-Key`

## Reporting & Notifications <a href="#reporting--notifications" id="reporting--notifications"></a>

Use our reporting endpoints to query and export transactions (transfers, DeFi & NFT, staking), accounts (balances, addresses, governance, etc.), users, and all workspace objects (whitelists, groups, entities).

Set notifications to catch workspace events (incoming or outgoing transactions, accounts, progress in governance schemes, changes to workspace objects) and automate your workflows.

You can generate [reporting API keys](https://ledger-enterprise-api-portal.redoc.ly/developer-portal/docs/get-started/generate_reporting_api_keys/) to access our reporting and notifications endpoints.

#### Transactions <a href="#transactions" id="transactions"></a>

Use our transaction endpoints to perform programmatic crypto transfers, automate your staking operations or interact with DeFi & NFT contracts at scale.

You can create and register [API operators](https://ledger-enterprise-api-portal.redoc.ly/developer-portal/docs/get-started/LAM_overview/) for that purpose, and assign them transaction creation or approval roles in accounts’ governance rules (transfer, staking, or smart contract interactions).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.enterprise.ledger.com/api-documentation/getting-started/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
